Language
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get all languages
Fetches all languages with optional parameters for pagination, sorting, and filtering by name or language code.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Maximum number of languages to return (pagination limit)
Default
10offset?integer
Offset to start pagination
Default
0sort?string
Sort by field. Available options: "name", "-name", "lang", "-lang"
search?string
Filter languages by name or language code
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/languages?limit=10&offset=0&sort=-name&search=ar"{ "languages": [ { "id": 3, "name": "Arabic", "lang": "ar", "langBcp": "ar-AE", "dir": "ltr", "projectsCount": 5, "actions": [ "LanguageCreate" ] } ], "pagination": { "maxCount": 100 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}